Loading...
Searching...
No Matches
seqan3::advanceable_alignment_coordinate_printer< detail::advanceable_alignment_coordinate< state_t > > Struct Template Reference
Sequence Alignment » Matrix

The printer for seqan3::detail::advanceable_alignment_coordinate. More...

`#include <seqan3/alignment/matrix/detail/advanceable_alignment_coordinate.hpp>`

Inheritance diagram for seqan3::advanceable_alignment_coordinate_printer< detail::advanceable_alignment_coordinate< state_t > >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, detail::advanceable_alignment_coordinate< state_t > const arg) const
| The function call operator that prints the coordinate to the given stream.

## Detailed Description

template<auto state_t>
struct seqan3::advanceable_alignment_coordinate_printer< detail::advanceable_alignment_coordinate< state_t > >

The printer for seqan3::detail::advanceable_alignment_coordinate.

Prints the alignment coordinate as a tuple of the column and row index.

Template Parameters

  state_t | The state of the detail::advanceable_alignment_coordinate.

## Member Function Documentation

## operator()()

template<auto state_t>
template<typename stream_t>

void seqan3::advanceable_alignment_coordinate_printer< detail::advanceable_alignment_coordinate< state_t > >::operator() | ( | stream_t & | stream,
|  | detail::advanceable_alignment_coordinate< state_t > const | arg ) const

inline constexpr

The function call operator that prints the coordinate to the given stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The alignment coordinate to print.

The documentation for this struct was generated from the following file:

- advanceable_alignment_coordinate.hpp

Hide me